Subject: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Oct 2024 19:19:19 +0200

> Date: Mon, 28 Oct 2024 11:20:29 -0400
> Cc: [email-masked], [email-masked], [email-masked]
> From: Yixuan Chen <[email-masked]>
> 
> > Actually, how about showing what "C-u C-x =" says in each of the 6
> > positions you show?  And then show what "C-u C-x =" says in the same 6
> > positions in the "good" display?
> 
> See "bad.txt" for the output of the bad emacs display, and "good.txt" 
> for the output of good emacs display. I also attached the block cursor 
> screenshots for good emacs display.

Thanks.  It's basically the same, as far as Emacs thinks, but do you
have any idea why EOB is different between these two cases (3535 vs
3527)?

Also, Emacs thinks that the second | character is at the same buffer
position and the same columns as the previous one -- any idea why?